CRMchat APIBeta
Telegram APIAccount

account.acceptAuthorization

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/account.acceptAuthorization

Sends a Telegram Passport authorization form, effectively sharing data with the service

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Sends a Telegram Passport authorization form, effectively sharing data with the service

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.acceptAuthorization" \  -H "Content-Type: application/json" \  -d '{    "params": {      "botId": 0,      "scope": "string",      "publicKey": "string",      "valueHashes": [        {          "_": "secureValueHash",          "type": {            "_": "secureValueTypePersonalDetails"          },          "hash": "string"        }      ],      "credentials": {        "_": "secureCredentialsEncrypted",        "data": "string",        "hash": "string",        "secret": "string"      }    }  }'
{  "result": true}